Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class MethodStoreQuery

    java.lang.Object
      org.apache.openjpa.kernel.AbstractStoreQuery
          org.apache.openjpa.kernel.MethodStoreQuery

All Implemented Interfaces:
  Serializable, QueryOperations, StoreQuery

    public class MethodStoreQuery

extends AbstractStoreQuery

A query that is executed by a user-defined method.

Author:
  Abe White
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.kernel.AbstractStoreQuery
`AbstractStoreQuery.AbstractExecutor`

Nested classes/interfaces inherited from interface org.apache.openjpa.kernel.StoreQuery
`StoreQuery.Executor, StoreQuery.Range`

Field Summary
`static String` | `LANGUAGE`

Fields inherited from class org.apache.openjpa.kernel.AbstractStoreQuery
`ctx`

Fields inherited from interface org.apache.openjpa.kernel.StoreQuery
`EMPTY_BOOLEANS, EMPTY_CLASSES, EMPTY_METAS, EMPTY_OBJECTS, EMPTY_ORDERED_PARAMS, EMPTY_PARAMS, EMPTY_STRINGS`

Fields inherited from interface org.apache.openjpa.kernel.QueryOperations
`OP_DELETE, OP_SELECT, OP_UPDATE`

Constructor Summary
`MethodStoreQuery()`

Method Summary
`void` | `invalidateCompilation()` Invalidate any internal compilation state.
`StoreQuery.Executor` | `newDataStoreExecutor(ClassMetaData meta, boolean subs)` Return an executor for datastore execution of this query.
`StoreQuery.Executor` | `newInMemoryExecutor(ClassMetaData meta, boolean subs)` Return an executor for in-memory execution of this query.
`boolean` | `requiresCandidateType()` Whether this query requires a candidate class.
`boolean` | `supportsDataStoreExecution()` True if this query supports datastore execution, false if it can only run in memory.
`boolean` | `supportsInMemoryExecution()` True if this query supports in-memory execution, false if it can only run against the datastore.

Methods inherited from class org.apache.openjpa.kernel.AbstractStoreQuery
`evaluate, getAggregateListener, getCompilation, getContext, getFilterListener, newCompilation, newCompilationKey, populateFromCompilation, requiresParameterDeclarations, setContext, setQuery, supportsAbstractExecutors, supportsParameterDeclarations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LANGUAGE

    public static final String LANGUAGE

See Also:
  Constant Field Values

Constructor Detail

### MethodStoreQuery

    public MethodStoreQuery()

Method Detail

### invalidateCompilation

    public void invalidateCompilation()

  Description copied from interface: `StoreQuery`
  Invalidate any internal compilation state.

  Specified by:
    `invalidateCompilation` in interface `StoreQuery`
  Overrides:
    `invalidateCompilation` in class `AbstractStoreQuery`

### newInMemoryExecutor

    public StoreQuery.Executor newInMemoryExecutor(ClassMetaData meta,
                                                   boolean subs)

  Description copied from interface: `StoreQuery`
  Return an executor for in-memory execution of this query. Executors must be cachable and thread safe. If this class returns true from `StoreQuery.supportsAbstractExecutors()`, the given metadata will always be for the candidate class of this query, or possibly null if the candidate class is not itself persistence capable (like an interface or abstract base class). Otherwise, the given type will be a mapped class.

  Specified by:
    `newInMemoryExecutor` in interface `StoreQuery`
  Overrides:
    `newInMemoryExecutor` in class `AbstractStoreQuery`
    `subs` - whether to include dependent mapped subclasses in the results; independent subclasses should never be included

### newDataStoreExecutor

    public StoreQuery.Executor newDataStoreExecutor(ClassMetaData meta,
                                                    boolean subs)

  Description copied from interface: `StoreQuery`
  Return an executor for datastore execution of this query. Executors must be cachable and thread safe. If this class returns true from `StoreQuery.supportsAbstractExecutors()`, the given metadata will always be for the candidate class of this query, or possibly null if the candidate class is not itself persistence capable (like an interface or abstract base class). Otherwise, the given type will be a mapped class.

  Specified by:
    `newDataStoreExecutor` in interface `StoreQuery`
  Overrides:
    `newDataStoreExecutor` in class `AbstractStoreQuery`
    `subs` - whether to include dependent mapped subclasses in the results; independent subclasses should never be included

### supportsInMemoryExecution

    public boolean supportsInMemoryExecution()

  Description copied from interface: `StoreQuery`
  True if this query supports in-memory execution, false if it can only run against the datastore.

  Specified by:
    `supportsInMemoryExecution` in interface `StoreQuery`
  Overrides:
    `supportsInMemoryExecution` in class `AbstractStoreQuery`

### supportsDataStoreExecution

    public boolean supportsDataStoreExecution()

  Description copied from interface: `StoreQuery`
  True if this query supports datastore execution, false if it can only run in memory.

  Specified by:
    `supportsDataStoreExecution` in interface `StoreQuery`
  Overrides:
    `supportsDataStoreExecution` in class `AbstractStoreQuery`

### requiresCandidateType

    public boolean requiresCandidateType()

  Description copied from interface: `StoreQuery`
  Whether this query requires a candidate class.

  Specified by:
    `requiresCandidateType` in interface `StoreQuery`
  Overrides:
    `requiresCandidateType` in class `AbstractStoreQuery`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.